# OroEntityBundle

OroEntityBundle extends the Doctrine ORM functionality with additional field types and helpers. The bundle introduces entity aliases that enable the entity types reference in a shorter form.

## Overview

This bundle provides the following functionality:

- [Entity Manager](./Resources/doc/entity_manager.md)
- [Doctrine field types](./Resources/doc/doctrine_field_types.md)
- [Entity name resolver and providers](./Resources/doc/entity_names.md)
- [Custom Field Validation](./Resources/doc/custom_field_validation.md)
- [Entity aliases](./Resources/doc/entity_aliases.md)
- [Entity class name provider](./Resources/doc/entity_class_names.md)
- [Events](./Resources/doc/events.md)
- [Entity structure data provider](./Resources/doc/entity_structure_data_provider.md)
- [Resolving of ORM query hints](./Resources/doc/query_hint_resolver.md)
- [REST API for dictionaries](./Resources/doc/dictionaries_api.md)
- [Profiler of duplicated queries](./Resources/doc/profiler_duplicated_queries.md)
- [Entity fallback values](./Resources/doc/entity_fallback.md)
- [Entity repositories as a services](./Resources/doc/repositories_as_a_services.md)
- [Partial indexes](./Resources/doc/partial_indexes.md)
- [Transaction watchers for default DBAL connection](./Resources/doc/transaction_watchers.md)
- Client side
  - [Entity model](./Resources/doc/client-side/entity-model.md)
  - [Entity structure data provider](./Resources/doc/client-side/entity-structure-data-provider.md)
